You are here: Foswiki>Tasks Web>Item12002 (02 Dec 2012, GeorgeClark)Edit Attach

Item12002: The lastest JQueryPlugin breaks edit mode of PatternSkin

pencil
Priority: Urgent
Current State: Closed
Released In: 1.1.6
Target Release: patch
Applies To: Engine
Component: JQueryPlugin, PatternSkin
Branches: Release01x01
Reported By: JozefMojzis
Waiting For:
Last Change By: GeorgeClark

JQueryPlugin upgrade bug.

The latest JQueryPlugin breaks the Twisty-help in the edit mode.

After the upgrade to the newest JQueryPlugin, when start edit any topic the Editing-help-text, (what should be in the twisty) got expanded by default and the twisty button is missing.

The Firebug showing error:
 TypeError: 'undefined' is not a function (evaluating 'b6.call(b3[b4],b4,b3[b4++])')
for the jquery-1.7.1.js

The help-text is expanded regardless of WYSIWYG edit or raw edit. So, when TMCE is disabled it's expanding the help for the raw editing.

Restoring the old 4.33 JQueryPlugin helps fix this issue.

-- JozefMojzis - 16 Jul 2012

Confirmed. It doesn't appear to be JQuery itself, but maybe one of the plugins?

To recreate, install a default 115 tarball. pattern skin, upgrade all the recommended upgrades using configure. Edit a topic. FAIL.

I'm trying to figure out what changed, but the Extensions version of JQuery was released from trunk, not the Release01x01 branch, and there are a lot of changes, none of which were synced to the Release01x01 branch.

This is a core extension. It FOLLOWS THE RELEASE PROCESS. It should never have been released to Extensions from the trunk branch. I think it would be best to re-release the Release01x01 version so we are not breaking production systems.

-- GeorgeClark - 16 Jul 2012

Cherry-picking each trunk JQueryPlugin commit into 1.1.5, It's distro:3e83e262927e that breaks editor help on 1.1.5. New version of JQueryLiveQuery. After 15131 is applied, the Help twisty on Pattern Skin Wysiwyg editor is permanently stuck open.

-- GeorgeClark - 16 Jul 2012

I have synced JQueryPlugin at 15135 over to Release01x01 branch. However all of the "Waiting for Release" 1.2.0 tasks is concerning. So I'm holding off doing the git svn dcommit until someone more knowledgeable in JQuery and the tasks can comment. Move 1.1.5 JQueryPlugin to be same as trunk, or revert the uploaded JQueryPlugin.

-- GeorgeClark - 17 Jul 2012

  • JQueryPlugin 4.44 has been released to JQueryPlugin. [Extensions/Testing] It is the trunk version, with Item11993 reverted. It appears to work on 1.1.5
  • JQueryPlugin has been reverted back to 4.33, as released with 1.1.5.

-- GeorgeClark - 17 Jul 2012

With PaulHarvey's help, I've pushed a JQPlugin branch to github.

It is the trunk version, cherry picked into release11 without the Live Query upgrade.

-- GeorgeClark - 18 Jul 2012

The error is in PatternSkin's use of livequery(). Part of livequery has been removed from upstream which duplicated features of jquery-core. See Item11993 for an explanation. This changeset fixed it for trunk distro:864f777b835b and is missing on the release branch of PatternSkin.

The error has got nothing to do with TwistyPlugin whatsoever. The javascript error in PatternSkin stopped the rest of the init process affecting the twisty at the top of the edit screen.

A new JQueryPlugin release will also require a PatternSkin update containing the two lines fixed.

-- MichaelDaum - 23 Jul 2012
 
Topic revision: r12 - 02 Dec 2012, GeorgeClark - This page was cached on 26 Sep 2016 - 09:08.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License